#include <iostream>
#include <queue>
#include <string>
int main()
{
    int n;
    std::cin >> n;

    std::priority_queue<int, std::vector<int>, std::greater<int>> min;
    std::priority_queue<int> max;
    std::string a = "";
    std::string b = "";
    for (int i = 1; i <= n; i++) {
        min.push(i);
    }
    for (int i = n + 1; i <= 2 * n; i++) {
        max.push(i);
    }
    for (int i = 0; i < n; i++) {
        if (i % 2 == 0) {
            a += std::to_string(min.top());
            min.pop();
            b += std::to_string(max.top());
            max.pop();
        }
        else {
            a += std::to_string(max.top());
            max.pop();
            b += std::to_string(min.top());
            min.pop();
        }
        a += " ";
        b += " ";
    }
    std::cout << a << "\n" << b;
}